# Class SlowHC4SSLSocketFactory

SSLSocketFactory
org.apache.jmeter.protocol.http.util.HC4TrustAllSSLSocketFactory
org.apache.jmeter.protocol.http.util.SlowHC4SSLSocketFactory

public class SlowHC4SSLSocketFactory extends HC4TrustAllSSLSocketFactory
Apache HttpClient protocol factory to generate "slow" SSL sockets for emulating dial-up modems

## Constructor Summary

Constructors
Constructor
Description
`SlowHC4SSLSocketFactory(int cps)`
Create a factory

## Method Summary

### Methods inherited from class HC4TrustAllSSLSocketFactory

`createLayeredSocket, createSocket, createSocket`

## Constructor Details

### SlowHC4SSLSocketFactory

public SlowHC4SSLSocketFactory(int cps) throws GeneralSecurityException
Create a factory

Parameters:
  `cps` - - characters per second, must be > 0
Throws:
  `GeneralSecurityException` - if there's a problem setting up the security
  `IllegalArgumentException` - if cps ≤ 0